[SciPy-user] 64 bit on Mac?

Adam keflavich@gmail....
Mon Jun 22 15:15:48 CDT 2009


Ah, good point:
otool -L  /Library/Frameworks/Python.framework/Versions/2.6/lib/
python2.6/site-packages/matplotlib/ft2font.so
/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
packages/matplotlib/ft2font.so:
        /usr/X11/lib/libfreetype.6.dylib (compatibility version
10.0.0, current version 10.20.0)
        /usr/lib/libz.1.dylib (compatibility version 1.0.0, current
version 1.2.3)
        /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0,
current version 7.4.0)
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0,
current version 111.1.4)
        /usr/local/lib/libgcc_s.1.dylib (compatibility version 1.0.0,
current version 1.0.0)

Adam

On Jun 22, 10:39 am, Robert Kern <robert.k...@gmail.com> wrote:
> On Mon, Jun 22, 2009 at 11:36, Adam <keflav...@gmail.com> wrote:
>
> > It turns out... that is not the problem.  I still have the error I
> > reported earlier:
> > >>> from matplotlib import pyplot
> > Traceback (most recent call last):
> >  File "<stdin>", line 1, in <module>
> >  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/
> > python2.6/site-packages/matplotlib/pyplot.py", line 6, in <module>
> >    from matplotlib.figure import Figure, figaspect
> >  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/
> > python2.6/site-packages/matplotlib/figure.py", line 19, in <module>
> >    from axes import Axes, SubplotBase, subplot_class_factory
> >  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/
> > python2.6/site-packages/matplotlib/axes.py", line 11, in <module>
> >    import matplotlib.axis as maxis
> >  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/
> > python2.6/site-packages/matplotlib/axis.py", line 9, in <module>
> >    import matplotlib.font_manager as font_manager
> >  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/
> > python2.6/site-packages/matplotlib/font_manager.py", line 52, in
> > <module>
> >    from matplotlib import ft2font
> > ImportError: dlopen(/Library/Frameworks/Python.framework/Versions/2.6/
> > lib/python2.6/site-packages/matplotlib/ft2font.so, 2): Symbol not
> > found: _FT_Attach_File
> >  Referenced from: /Library/Frameworks/Python.framework/Versions/2.6/
> > lib/python2.6/site-packages/matplotlib/ft2font.so
> >  Expected in: dynamic lookup
>
> > but apparently I DO have a 64 bit version of the FreeType library:
>
> > eta ~/Downloads/matplotlib-0.98.5.3$ file /Library/Frameworks/
> > Python.framework/Versions/2.6/lib/python2.6/site-packages/matplotlib/
> > ft2font.so
> > /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
> > packages/matplotlib/ft2font.so: Mach-O universal binary with 4
> > architectures
> > /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
> > packages/matplotlib/ft2font.so (for architecture i386):    Mach-O
> > bundle i386
> > /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
> > packages/matplotlib/ft2font.so (for architecture ppc7400): Mach-O
> > bundle ppc
> > /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
> > packages/matplotlib/ft2font.so (for architecture ppc64):   Mach-O 64-
> > bit bundle ppc64
> > /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
> > packages/matplotlib/ft2font.so (for architecture x86_64):  Mach-O 64-
> > bit bundle x86_64
>
> No, you have a 64-bit build of the ft2font.so extension module, not
> the libfreetype.dylib that it links with. Please use "otool -L
> ft2font.so" to see what libraries it is trying to load dynamically.
>
> --
> Robert Kern
>
> "I have come to believe that the whole world is an enigma, a harmless
> enigma that is made terrible by our own mad attempt to interpret it as
> though it had an underlying truth."
>  -- Umberto Eco
> _______________________________________________
> SciPy-user mailing list
> SciPy-u...@scipy.orghttp://mail.scipy.org/mailman/listinfo/scipy-user


More information about the SciPy-user mailing list